@ECHO OFF

SET ReturnCode=0

CLS

echo Updating the ME Firmware...
echo.

:Consumer

"%~dp0FWUpdLcl64.exe" -F "%~dp0ME_14.0_Cons.bin" -OEMID 4C656E6F-766F-0000-0000-000000000000 -allowsv -y
SET ReturnCode=%errorlevel%

:RESTART
IF [%1]==[] Shutdown.exe -r -t 10 && exit /b %ReturnCode%

exit /b %ReturnCode%


:END
